> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tronrental.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 查询订单

> 通过 ID 查询能量或带宽订单的状态

## 查询订单

返回能量或带宽订单的当前状态和完整详情。

### 路径参数

<ParamField path="order_id" type="number" required>
  订单 ID —— 由 Buy Energy 或 Buy Bandwidth 返回的 `id`。
</ParamField>

### 响应

返回完整的订单对象，包括 `status`、`type`、`volume`、`price_trx`、`delegate_txid` 和时间戳。

### 订单状态

| 状态          | 说明                 |
| ----------- | ------------------ |
| `pending`   | 订单已接收，正在委托中        |
| `filled`    | 能量或带宽委托成功          |
| `failed`    | 委托失败               |
| `reclaimed` | 租用期结束后带宽已回收（仅带宽订单） |

### 示例

```bash theme={null}
curl https://api.tronrental.com/v1/orders/12345 \
  -H "X-API-Key: your_api_key"
```

```json Response theme={null}
{
  "id": 12345,
  "type": "energy",
  "target_address": "TRecipientAddress...",
  "volume": 65000,
  "duration": "1h",
  "price_trx": "1.79",
  "status": "filled",
  "delegate_txid": "a1b2c3d4e5f6...",
  "undelegate_txid": null,
  "reclaim_at": null,
  "source": "api",
  "created_at": "2026-06-10T04:30:00Z"
}
```
